fn main() -> anyhow::Result<()> {
    tokio::runtime::Builder::new_current_thread()
        .enable_all()
        .build()
        .unwrap()
        .block_on(async {
            tracing_subscriber::fmt().pretty().init();

            let cmd = clap::Command::new("bench_app").subcommand(clap::Command::new("bench"));

            match cmd.get_matches().subcommand() {
                Some(("bench", _)) => tracing::info!("some bench run"),
                _ => todo!(),
            }
        });

    Ok(())
}
